Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.dsig
Interface XMLValidateContext

All Superinterfaces:
  XMLCryptoContext

All Known Implementing Classes:
  DOMValidateContext

    public interface XMLValidateContext

extends XMLCryptoContext

Contains context information for validating XML Signatures. This interface is primarily intended for type-safety.

Note that `XMLValidateContext` instances can contain information and state specific to the XML signature structure it is used with. The results are unpredictable if an `XMLValidateContext` is used with different signature structures (for example, you should not use the same `XMLValidateContext` instance to validate two different `XMLSignature` objects).

Supported Properties

The following properties can be set by an application using the `setProperty` method.

- `javax.xml.crypto.dsig.cacheReference`: value must be a `Boolean`. This property controls whether or not the `Reference.validate` method will cache the dereferenced content and pre-digested input for subsequent retrieval via the `Reference.getDereferencedData` and `Reference.getDigestInputStream` methods. The default value if not specified is `Boolean.FALSE`.

See Also:
  `XMLSignature.validate(XMLValidateContext)`, `Reference.validate(XMLValidateContext)`

Method Summary

Methods inherited from interface javax.xml.crypto.XMLCryptoContext
`get, getBaseURI, getDefaultNamespacePrefix, getKeySelector, getNamespacePrefix, getProperty, getURIDereferencer, put, putNamespacePrefix, setBaseURI, setDefaultNamespacePrefix, setKeySelector, setProperty, setURIDereferencer`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org